'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.addActionSubscriber = addActionSubscriber;

var _actionTypes = require('../constants/actionTypes');

function addActionSubscriber(windowName, actionTypes, updateSubscription) {
	return {
		type: _actionTypes.ADD_ACTION_SUBSCRIBER,
		payload: {
			windowName,
			actionTypes,
			updateSubscription
		}
	};
}