'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.addGlobalActionToStore = addGlobalActionToStore;

var _actionTypes = require('../constants/actionTypes');

function addGlobalActionToStore(targetWindowName, action) {
	return {
		type: _actionTypes.ADD_GLOBAL_ACTION_TO_STORE,
		payload: {
			targetWindowName,
			action
		}
	};
}