'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.unsubscribeFromViewActions = unsubscribeFromViewActions;

var _actionTypes = require('../constants/actionTypes');

function unsubscribeFromViewActions(viewName, actionTypes) {
	return {
		type: _actionTypes.UNSUBSCRIBE_FROM_ACTIONS,
		payload: {
			viewName,
			actionTypes
		}
	};
}