'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.updateGlobalWindowsInfo = updateGlobalWindowsInfo;

var _effects = require('redux-saga/effects');

var _libraryConstants = require('../constants/libraryConstants');

var _selectors = require('../selectors');

function* updateGlobalWindowsInfo() {
	const windowNames = yield (0, _effects.select)(_selectors.getWindowNames);
	const windowIds = yield (0, _effects.select)(_selectors.getWindowIds);

	global[_libraryConstants.GLOBAL_WINDOW_NAMES_KEY] = windowNames.toJS();
	global[_libraryConstants.GLOBAL_WINDOW_IDS_KEY] = windowIds.toJS();
}