'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getStateSubscriberFromName = getStateSubscriberFromName;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _getStateSubscribers = require('./getStateSubscribers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getStateSubscriberFromName(state) {
	var _ref = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

	let name = _ref.name;

	const stateSubscribers = (0, _getStateSubscribers.getStateSubscribers)(state);
	return stateSubscribers.get(name, _immutable2.default.Map());
}