'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getStoredActionsForWindow = getStoredActionsForWindow;

var _getEnhancerState = require('./getEnhancerState');

var _immutable = require('immutable');

var Immutable = _interopRequireWildcard(_immutable);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function getStoredActionsForWindow(state, windowName) {
	const enhancerState = (0, _getEnhancerState.getEnhancerState)(state);

	return enhancerState.getIn(['actionStore', windowName], Immutable.List());
}