'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getSubscribeToByViewName = getSubscribeToByViewName;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _getOptions = require('./getOptions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getSubscribeToByViewName(state) {
	var _ref = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

	let viewName = _ref.viewName;

	const options = (0, _getOptions.getOptions)(state);

	return options.get('subscribeTo', _immutable2.default.List()).find(v => v.get('windowName') === viewName, null, _immutable2.default.Map());
}