'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.diffWithShape = diffWithShape;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _immutablediff = require('immutablediff');

var _immutablediff2 = _interopRequireDefault(_immutablediff);

var _filterMapToShape = require('./filterMapToShape');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function diffWithShape(a, b, shape) {
	let filteredA = (0, _filterMapToShape.filterMapToShape)(a, shape);
	let filteredB = (0, _filterMapToShape.filterMapToShape)(b, shape);

	return (0, _immutablediff2.default)(filteredA, filteredB);
}