'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getListOfAllWindows = getListOfAllWindows;

var _utils = require('../utils');

var _libraryConstants = require('../constants/libraryConstants');

function getListOfAllWindows() {
	const windowNames = (0, _utils.getGlobalVar)(_libraryConstants.GLOBAL_WINDOW_NAMES_KEY);

	let list = [];
	for (var name in windowNames) {
		if (windowNames.hasOwnProperty(name)) {
			list.push(name);
		}
	}

	return list;
}