'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.logToFile = logToFile;

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _process = require('process');

var _process2 = _interopRequireDefault(_process);

var _isBrowserProcess = require('./isBrowserProcess');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function logToFile(data) {
	if (_process2.default.env.NODE_ENV === 'production' || !(0, _isBrowserProcess.isBrowserProcess)()) {
		return;
	}

	try {
		_fs2.default.appendFileSync('BrowserProcessLog.txt', JSON.stringify(data) + '\n');
	} catch (e) {
		// Who cares
	}
}