'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.makeGlobalAction = makeGlobalAction;

var _actionTypes = require('../constants/actionTypes');

var _libraryConstants = require('../constants/libraryConstants');

// Default target to the browser process
function makeGlobalAction(action) {
	let target = arguments.length <= 1 || arguments[1] === undefined ? _libraryConstants.ELECTRON_PROCESS_NAME : arguments[1];

	return {
		type: _actionTypes.GLOBAL_ACTION,
		payload: {
			action: action,
			target,
			created: new Date().toISOString()
		}
	};
}