'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.subscribeToViewActions = subscribeToViewActions;

var _actionTypes = require('../constants/actionTypes');

function subscribeToViewActions(viewName, actionTypes) {
	let updateSubscription = arguments.length <= 2 || arguments[2] === undefined ? false : arguments[2];

	return {
		type: _actionTypes.SUBSCRIBE_TO_ACTIONS,
		payload: {
			viewName,
			actionTypes,
			updateSubscription
		}
	};
}