'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
const ACTION_PREFIX = exports.ACTION_PREFIX = 'ElectronReduxComm/';

// REDUCER
const ADD_WEBCONTENTS = exports.ADD_WEBCONTENTS = ACTION_PREFIX + 'ADD_WEBCONTENTS';
const ADD_GLOBAL_ACTION_HANDLER = exports.ADD_GLOBAL_ACTION_HANDLER = ACTION_PREFIX + 'ADD_GLOBAL_ACTION_HANDLER';
const ADD_STATE_SUBSCRIBER = exports.ADD_STATE_SUBSCRIBER = ACTION_PREFIX + 'ADD_STATE_SUBSCRIBER';
const ADD_ACTION_SUBSCRIBER = exports.ADD_ACTION_SUBSCRIBER = ACTION_PREFIX + 'ADD_ACTION_SUBSCRIBER';
const ADD_OUTSIDE_STATE_SUBSCRIBER = exports.ADD_OUTSIDE_STATE_SUBSCRIBER = ACTION_PREFIX + 'ADD_OUTSIDE_STATE_SUBSCRIBER';
const ADD_OUTSIDE_ACTION_SUBSCRIBER = exports.ADD_OUTSIDE_ACTION_SUBSCRIBER = ACTION_PREFIX + 'ADD_OUTSIDE_ACTION_SUBSCRIBER';

const REMOVE_WEBCONTENTS = exports.REMOVE_WEBCONTENTS = ACTION_PREFIX + 'REMOVE_WEBCONTENTS';
const REMOVE_GLOBAL_ACTION_HANDLER = exports.REMOVE_GLOBAL_ACTION_HANDLER = ACTION_PREFIX + 'REMOVE_GLOBAL_ACTION_HANDLER';
const REMOVE_STATE_SUBSCRIBER = exports.REMOVE_STATE_SUBSCRIBER = ACTION_PREFIX + 'REMOVE_STATE_SUBSCRIBER';
const REMOVE_ACTION_SUBSCRIBER = exports.REMOVE_ACTION_SUBSCRIBER = ACTION_PREFIX + 'REMOVE_ACTION_SUBSCRIBER';
const SET_INITIAL_SUBSCRIBED_STATE = exports.SET_INITIAL_SUBSCRIBED_STATE = ACTION_PREFIX + 'SET_INITIAL_SUBSCRIBED_STATE';
const INITIAL_SUBSCRIBED_STATE_RECEIVED = exports.INITIAL_SUBSCRIBED_STATE_RECEIVED = ACTION_PREFIX + 'INITIAL_SUBSCRIBED_STATE_RECEIVED';
const STATE_CHANGED = exports.STATE_CHANGED = ACTION_PREFIX + 'STATE_CHANGED';
const STATE_UPDATE = exports.STATE_UPDATE = ACTION_PREFIX + 'STATE_UPDATE';

const ANNOUNCE_NEW_VIEW = exports.ANNOUNCE_NEW_VIEW = ACTION_PREFIX + 'ANNOUNCE_NEW_VIEW';
const ANNOUNCE_CLOSING_VIEW = exports.ANNOUNCE_CLOSING_VIEW = ACTION_PREFIX + 'ANNOUNCE_CLOSING_VIEW';
const GLOBAL_ACTION = exports.GLOBAL_ACTION = ACTION_PREFIX + 'GLOBAL_ACTION';
const ADD_GLOBAL_ACTION_TO_QUEUE = exports.ADD_GLOBAL_ACTION_TO_QUEUE = ACTION_PREFIX + 'ADD_GLOBAL_ACTION_TO_QUEUE';
const CLEAR_ACTION_QUEUE_FOR_VIEW = exports.CLEAR_ACTION_QUEUE_FOR_VIEW = ACTION_PREFIX + 'CLEAR_ACTION_QUEUE_FOR_VIEW';
const ADD_GLOBAL_ACTION_TO_STORE = exports.ADD_GLOBAL_ACTION_TO_STORE = ACTION_PREFIX + 'ADD_GLOBAL_ACTION_TO_STORE';
const REMOVE_VIEW_FROM_ACTION_STORE = exports.REMOVE_VIEW_FROM_ACTION_STORE = ACTION_PREFIX + 'REMOVE_VIEW_FROM_ACTION_STORE';

const SUBSCRIBE_TO_STATE = exports.SUBSCRIBE_TO_STATE = ACTION_PREFIX + 'SUBSCRIBE_TO_STATE';
const STATE_SUBSCRIPTION_STATUS = exports.STATE_SUBSCRIPTION_STATUS = ACTION_PREFIX + 'STATE_SUBSCRIPTION_STATUS';
const STATE_SUBSCRIPTION_REQUEST_SENT = exports.STATE_SUBSCRIPTION_REQUEST_SENT = ACTION_PREFIX + 'STATE_SUBSCRIPTION_REQUEST_SENT';
const SUBSCRIBE_TO_ACTIONS = exports.SUBSCRIBE_TO_ACTIONS = ACTION_PREFIX + 'SUBSCRIBE_TO_ACTIONS';
const ACTIONS_SUBSCRIPTION_STATUS = exports.ACTIONS_SUBSCRIPTION_STATUS = ACTION_PREFIX + 'ACTIONS_SUBSCRIPTION_STATUS';
const ACTIONS_SUBSCRIPTION_REQUEST_SENT = exports.ACTIONS_SUBSCRIPTION_REQUEST_SENT = ACTION_PREFIX + 'ACTIONS_SUBSCRIPTION_REQUEST_SENT';
const UNSUBSCRIBE_FROM_ACTIONS = exports.UNSUBSCRIBE_FROM_ACTIONS = ACTION_PREFIX + 'UNSUBSCRIBE_FROM_ACTIONS';
const UNSUBSCRIBE_FROM_ACTIONS_SUCCESS = exports.UNSUBSCRIBE_FROM_ACTIONS_SUCCESS = ACTION_PREFIX + 'UNSUBSCRIBE_FROM_ACTIONS_SUCCESS';
const UNSUBSCRIBE_FROM_STATE = exports.UNSUBSCRIBE_FROM_STATE = ACTION_PREFIX + 'UNSUBSCRIBE_FROM_STATE';
const UNSUBSCRIBE_FROM_STATE_SUCCESS = exports.UNSUBSCRIBE_FROM_STATE_SUCCESS = ACTION_PREFIX + 'UNSUBSCRIBE_FROM_STATE_SUCCESS';
const CLEAR_SUBSCRIPTIONS_FOR_WINDOW = exports.CLEAR_SUBSCRIPTIONS_FOR_WINDOW = ACTION_PREFIX + 'CLEAR_SUBSCRIPTIONS_FOR_WINDOW';

// ENHANCER