'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getEnhancerState = getEnhancerState;

var _variables = require('../variables');

var _lodash = require('lodash');

var _ = _interopRequireWildcard(_lodash);

var _immutable = require('immutable');

var Immutable = _interopRequireWildcard(_immutable);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function getEnhancerState(state) {
	if (!_.has(state, (0, _variables.getReducerName)())) {
		console.warn('Reducer not present in store');
	}

	return _.get(state, (0, _variables.getReducerName)(), Immutable.Map);
}