'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getStateFilterShape = getStateFilterShape;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _getEnhancerState = require('./getEnhancerState');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getStateFilterShape(state) {
	const enhancerState = (0, _getEnhancerState.getEnhancerState)(state);
	return enhancerState.get('stateFilterShape', _immutable2.default.Map());
}