'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.getWebcontentsFromName = getWebcontentsFromName;

var _getEnhancerState = require('./getEnhancerState');

function getWebcontentsFromName(state) {
	var _ref = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

	let name = _ref.name;

	const enhancerState = (0, _getEnhancerState.getEnhancerState)(state);

	// QQQ: Check here if the name is known to us?
	const id = enhancerState.getIn(['windowNames', name, 'id']);
	const webcontents = enhancerState.getIn(['webcontents', id, 'webcontents'], null);

	return webcontents;
}