'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.isTargetAvailable = isTargetAvailable;

var _isRendererWindowAvailable = require('./isRendererWindowAvailable');

var _getGlobalVar = require('./getGlobalVar');

var _libraryConstants = require('../constants/libraryConstants');

function isTargetAvailable(windowName) {
	const browserName = (0, _getGlobalVar.getGlobalVar)(_libraryConstants.GLOBAL_BROWSER_NAME_KEY);
	return (0, _isRendererWindowAvailable.isRendererWindowAvailable)(windowName) || windowName === browserName || windowName === _libraryConstants.ELECTRON_PROCESS_NAME;
}